summaryrefslogtreecommitdiff
path: root/package/pkgconfig/pkgconfig-filter.sh
diff options
context:
space:
mode:
Diffstat (limited to 'package/pkgconfig/pkgconfig-filter.sh')
-rwxr-xr-xpackage/pkgconfig/pkgconfig-filter.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/package/pkgconfig/pkgconfig-filter.sh b/package/pkgconfig/pkgconfig-filter.sh
index 770e9317b..f2bd75d8e 100755
--- a/package/pkgconfig/pkgconfig-filter.sh
+++ b/package/pkgconfig/pkgconfig-filter.sh
@@ -2,6 +2,8 @@
# filter the output from pkg-config (renamed as pkg-config.real)
# and ensures PKG_CONFIG_SYSROOT is prepended to all paths
+set -o pipefail
+
CMD=$0
if [ ! "$PKG_CONFIG_SYSROOT" ]; then
@@ -22,6 +24,5 @@ then
#echo "OKAY" >&2;
exit 0;
else
- echo "pkg-config failed!" >&2
exit $?
fi